MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
ScopeUnlock Class Reference

Within the scope of an instance, this class will keep a Mutex unlocked. More...

`#include <Mutex.hxx>`

## Public Member Functions
| ScopeUnlock (Mutex &_mutex)
| ~ScopeUnlock ()
| ScopeUnlock (const ScopeUnlock &other)=delete
ScopeUnlock & | operator= (const ScopeUnlock &other)=delete

## Detailed Description

Within the scope of an instance, this class will keep a Mutex unlocked.

Definition at line 51 of file Mutex.hxx.

## Constructor & Destructor Documentation

ScopeUnlock::ScopeUnlock | ( | Mutex & | _mutex | ) |
| inline explicit

Definition at line 55 of file Mutex.hxx.

ScopeUnlock::~ScopeUnlock | ( |  | ) |
| inline

Definition at line 59 of file Mutex.hxx.

ScopeUnlock::ScopeUnlock | ( | const ScopeUnlock & | other | ) |
| delete

## Member Function Documentation

ScopeUnlock& ScopeUnlock::operator= | ( | const ScopeUnlock & | other | ) |
| delete

The documentation for this class was generated from the following file:

- thread/Mutex.hxx